Index: invariantview/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/perspectives/invariant/invariant_panel.py	(revision e825f72d403bcf0b67c54e89e3fba35c59cf0cc4)
+++ invariantview/perspectives/invariant/invariant_panel.py	(revision e3f721e417a4529e02efe861b0d1cd8b7448ee41)
@@ -73,5 +73,5 @@
         if self.parent is not None:
             msg = ""
-            wx.PostEvent(self.parent, StatusEvent(status=msg))
+            wx.PostEvent(self.parent,StatusEvent(status=msg, info="info"))
         self.SetupScrolling()
        
@@ -81,4 +81,5 @@
         """
         flag = False
+        self.hint_msg_txt.SetLabel('')
         #edit the panel
         if self._data is not None:
@@ -87,6 +88,7 @@
                 msg = "Invariant: one of your q-values is zero. Delete that entry before proceeding"
                 self.hint_msg_txt.SetLabel(msg)
-                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop")) 
-        self.hint_msg_txt.SetLabel('')
+                wx.PostEvent(self.parent, StatusEvent(status=msg,
+                                                      info="warning",
+                                                      type="stop")) 
         return flag
     
@@ -196,5 +198,7 @@
             except:
                 msg= "Error occurred computing volume fraction: %s"%sys.exc_value
-                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                wx.PostEvent(self.parent, StatusEvent(status=msg,
+                                                      info="error",
+                                                      type="stop"))
                
     def get_surface(self, inv, contrast, porod_const, extrapolation):
@@ -210,5 +214,6 @@
             except:
                 msg = "Error occurred computing specific surface: %s"%sys.exc_value
-                wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+                wx.PostEvent(self.parent, StatusEvent(status=msg, info="error",
+                                                       type="stop"))
                 
     def get_total_qstar(self, inv, extrapolation):
@@ -355,5 +360,5 @@
         """
         msg= ""
-        wx.PostEvent(self.parent, StatusEvent(status= msg))
+        wx.PostEvent(self.parent, StatusEvent(status=msg))
         if self._data is None or self.err_check_on_data():
             return
@@ -379,7 +384,7 @@
             inv, npts_high = self.set_extrapolation_high(inv=inv, high_q=high_q)
         except:
-            raise
-            #msg= "Error occurred computing invariant: %s"%sys.exc_value
-            #wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+            msg = "Error occurred computing invariant: %s"%sys.exc_value
+            wx.PostEvent(self.parent, StatusEvent(status=msg,
+                                                 info="warning",type="stop"))
             return
         #check the type of extrapolation
@@ -391,5 +396,6 @@
         except:
             msg= "Error occurred computing invariant: %s"%sys.exc_value
-            wx.PostEvent(self.parent, StatusEvent(status= msg, type="stop"))
+            wx.PostEvent(self.parent, StatusEvent(status=msg, 
+                                                  info="warning",type="stop"))
             return
         #Compute qstar extrapolated to low q range 
@@ -408,5 +414,6 @@
         except:
             msg = "Error occurred computing invariant: %s"%sys.exc_value
-            wx.PostEvent(self.parent, StatusEvent(status=msg))
+            wx.PostEvent(self.parent, StatusEvent(status=msg,
+                                                  info="warning",type="stop"))
         try:
             self.get_surface(inv=inv, contrast=contrast, porod_const=porod_const, 
@@ -414,5 +421,6 @@
         except:
             msg = "Error occurred computing invariant: %s"%sys.exc_value
-            wx.PostEvent(self.parent, StatusEvent(status= msg))
+            wx.PostEvent(self.parent, StatusEvent(status=msg,
+                                                  info="warning",type="stop"))
             
         #compute percentage of each invariant
